import { EventEmitter } from '../../stencil-public-runtime';
import JustifiAnalytics from '../../api/Analytics';
import { ComponentClickEvent, ComponentErrorEvent } from '../../api/ComponentEvents';
import { PagingInfo, Payment } from '../../api';
import { Table } from '../../utils/table';
export declare class JustifiPaymentsList {
    getPayments: Function;
    errorMessage: string;
    payments: Payment[];
    paymentsTable: Table<Payment>;
    loading: boolean;
    paging: PagingInfo;
    pagingParams: any;
    accountId: string;
    authToken: string;
    columns?: string;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    clickEvent: EventEmitter<ComponentClickEvent>;
    analytics: JustifiAnalytics;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    propChanged(): void;
    updateOnPropChange(): void;
    private initializeGetPayments;
    fetchData(): void;
    handleClickPrevious: (beforeCursor: string) => void;
    handleClickNext: (afterCursor: string) => void;
    rowClickHandler: (e: any) => void;
    get paymentParams(): any;
    get entityId(): string[];
    get showEmptyState(): boolean;
    get showErrorState(): boolean;
    get showRowData(): boolean;
    render(): any;
}
